Subject: Re: Chinese Herb Correspondence Course

From: [email-masked] (Paul Iannone)
Date: 18 Feb 1995 13:04:32 GMT

In message ID <[email-masked]> on 2/16/95, Richard Finkelstein
wrote:

: Hi.
: 
: Does anyone know of a good Traditional Chinese Medicine herbal
: correspondence  course that would provide  reasonable instruction
: and background on Chinese  herbal medicine. My purpose is to
: increase my knowledge not to become a  licensed practitioner. Thanks
: for your help.
: 
: Regards,
: 
: Rich
: Richard Finkelstein,  Performance Computing, Inc.

Call ITM in Portland (800/544-7504). They have a range of materials.

[email-masked] (Paul Iannone, P.O.B. 66843, L.A., CA 90066).